Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 969948 - The initial content of diy application's webpage needs updating
Summary: The initial content of diy application's webpage needs updating
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-03 07:12 UTC by Jianwei Hou
Modified: 2015-05-14 23:20 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-03 15:13:04 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jianwei Hou 2013-06-03 07:12:18 UTC
Description of problem:
Create a diy application, and visit it's webpage, the content of the webpage still mentions an old environment variable "OPENSHIFT_INTERNAL_IP". Here is part of its contents:
The only restriction is that your application should bind to $OPENSHIFT_INTERNAL_IP:8080

Now that we have transferred to v2, maybe we should abandon this deprecated environment variable in the initial instruction in the webpage of the app.

Version-Release number of selected component (if applicable):
On STG(devenv-stage_356), devenv-stage_356

How reproducible:
Always

Steps to Reproduce:
1. Create a diy application and access its url


Actual results:
The webpage displayed content:
The only restriction is that your application should bind to $OPENSHIFT_INTERNAL_IP:8080

Expected results:
The only restriction is that your application should bind to $OPENSHIFT_DIY_IP:8080

Additional info:

Comment 1 Jhon Honce 2013-06-03 15:13:04 UTC
Will be covered in https://trello.com/c/pwPlA2xX

Comment 2 openshift-github-bot 2013-06-25 16:14:17 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/50e5cf51d46f9ed67aa08e0e906d2497bad7fe5d
Bug 976758 & 969948 - Update the name of internal IP env var to match v2 carts
https://bugzilla.redhat.com/show_bug.cgi?id=976758
https://bugzilla.redhat.com/show_bug.cgi?id=969948
Changed the OPENSHIFT_INTERNAL_IP env var in index.html and start hook to OPENSHIFT_DIY_IP


Note You need to log in before you can comment on or make changes to this bug.